NAME
        while - loop statement

SYNOPSYS
	while (<condition>) <code>;
	while (<condition>) { <code>; [<code>;] }

DESCRIPTION
        A while-loop will run as long as <condition> is true. Something
        inside the loop must cause the <condition> to become false, or a
        break-statement must be used to terminate the while-loop.

        The standard loop control statements break and continue can be used.
        Loop statements may be nested.

ARGUMENTS
        <condition> - the while-loop will run as long as the <condition> is
                 true. It will be tested before each round of the loop.
        <code> - a line of code that is executed for each element. Note that
                 without the { } the <code> may only be a single statement.

EXAMPLES
        while(count < 100) count += 25;

        while (bucket->can_hold_more(100))
        {
            bucket->add_from_faucet(faucet, 100);
        }

SEE ALSO
        break, continue, for, foreach